Subject: Re: [net-next 13/15] i40e/i40evf: use logical operators, not bitwise

From: Jeff Kirsher <[email-masked]>
Date: Tue, 23 Feb 2016 20:55:02 -0800

On Mon, 2016-02-22 at 08:33 -0800, Alexander Duyck wrote:
> On Wed, Feb 17, 2016 at 7:38 PM, Jeff Kirsher
> <[email-masked]> wrote:
> > From: Mitch Williams <[email-masked]>
> >
> > Mr. Spock would certainly raise an eyebrow to see us using bitwise
> > operators, when we should clearly be relying on logic. Fascinating.
> >
> > Change-ID: Ie338010c016f93e9faa2002c07c90b15134b7477
> > Signed-off-by: Mitch Williams <[email-masked]>
> > Tested-by: Andrew Bowers <[email-masked]>
> > Signed-off-by: Jeff Kirsher <[email-masked]>
> 
> NAK
> 
> The bitwise operator lets us at least make a pass through all rings.
> With this new code you stop as soon as one ring has not completed
> cleaning.

I was hoping to hear from Mitch, but since I have not.  I will send out
a revert of this patch in my next i40e/i40evf update in the next day or
so.